package com.zcloud.modules.RyCheck.entity.system;

import java.util.ArrayList;
import java.util.List;

public class HiddenRegion {
    private String HIDDENREGION_ID;     //隐患区域ID
    private String HIDDENREGION;        //隐患区域
    private String PARENT_ID;           //父级ID

    public String getHIDDENREGION_ID() {
        return HIDDENREGION_ID;
    }

    public void setHIDDENREGION_ID(String HIDDENREGION_ID) {
        this.HIDDENREGION_ID = HIDDENREGION_ID;
    }

    public void setChildhg(List<HiddenRegion> childhg) {
        this.childhg = childhg;
    }

    private String PERSON_CHARGE;       //负责人
    private int SORTINDEX;              //排序
    private String COMMENTS;            //备注
    private int ISDELETE;               //是否删除
    private String CREATOR;             //创建人
    private String CREATTIME;           //创建时间
    private String OPERATOR;            //修改人
    private String OPERATTIME;          //修改时间
    private String HIDDENREGION_URL;    //URL
    private List<HiddenRegion> subhiddenRegion;
    private boolean hashiddenRegion = false;

    public String getCORPINFO_ID() {
        return CORPINFO_ID;
    }

    public void setCORPINFO_ID(String CORPINFO_ID) {
        this.CORPINFO_ID = CORPINFO_ID;
    }

    private String CORPINFO_ID;

    private List<HiddenRegion> childhg = new ArrayList<>();



    public String getHIDDENREGION() {
        return HIDDENREGION;
    }

    public void setHIDDENREGION(String HIDDENREGION) {
        this.HIDDENREGION = HIDDENREGION;
    }

    public String getPARENT_ID() {
        return PARENT_ID;
    }

    public void setPARENT_ID(String PARENT_ID) {
        this.PARENT_ID = PARENT_ID;
    }

    public String getPERSON_CHARGE() {
        return PERSON_CHARGE;
    }

    public void setPERSON_CHARGE(String PERSON_CHARGE) {
        this.PERSON_CHARGE = PERSON_CHARGE;
    }

    public int getSORTINDEX() {
        return SORTINDEX;
    }

    public void setSORTINDEX(int SORTINDEX) {
        this.SORTINDEX = SORTINDEX;
    }

    public String getCOMMENTS() {
        return COMMENTS;
    }

    public void setCOMMENTS(String COMMENTS) {
        this.COMMENTS = COMMENTS;
    }

    public int getISDELETE() {
        return ISDELETE;
    }

    public void setISDELETE(int ISDELETE) {
        this.ISDELETE = ISDELETE;
    }

    public String getCREATOR() {
        return CREATOR;
    }

    public void setCREATOR(String CREATOR) {
        this.CREATOR = CREATOR;
    }

    public String getCREATTIME() {
        return CREATTIME;
    }

    public void setCREATTIME(String CREATTIME) {
        this.CREATTIME = CREATTIME;
    }

    public String getOPERATOR() {
        return OPERATOR;
    }

    public void setOPERATOR(String OPERATOR) {
        this.OPERATOR = OPERATOR;
    }

    public String getOPERATTIME() {
        return OPERATTIME;
    }

    public void setOPERATTIME(String OPERATTIME) {
        this.OPERATTIME = OPERATTIME;
    }

    public List<HiddenRegion> getChildhg() {
        return childhg;
    }

    public String getHIDDENREGION_URL() {
        return HIDDENREGION_URL;
    }

    public void setHIDDENREGION_URL(String HIDDENREGION_URL) {
        this.HIDDENREGION_URL = HIDDENREGION_URL;
    }

    public List<HiddenRegion> getSubhiddenRegion() {
        return subhiddenRegion;
    }

    public void setSubhiddenRegion(List<HiddenRegion> subhiddenRegion) {
        this.subhiddenRegion = subhiddenRegion;
    }

    public boolean isHashiddenRegion() {
        return hashiddenRegion;
    }

    public void setHashiddenRegion(boolean hashiddenRegion) {
        this.hashiddenRegion = hashiddenRegion;
    }
}
